Bug 195455 - RFE: Clone partition configuration in RAID set.
RFE: Clone partition configuration in RAID set.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 07:32 EDT by Gilboa Davara
Modified: 2014-03-13 17:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 17:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2006-06-15 07:32:44 EDT
Description of problem:
When creating a software RAID set in a multiple drive configuration, the new to
manually partition each drive, using the same configuration is a very labor
intensive task.
Having the ability to tell the "new partition tool" to create a certain
partition, with the same size, on multiple drives is -very- welcome.

Version-Release number of selected component (if applicable):
N/A.

How reproducible:
N/A.

Steps to Reproduce:
N/A.
  
Actual results:
N/A.

Expected results:
1. Click on "New".
2. Click on "clone partition".
3. Set partition size, and label (RAID auto in this case).
4. Select all member drives.
5. Click on OK.

Additional info:
Semi-relates to bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=195454
Comment 1 Gilboa Davara 2006-06-16 07:08:12 EDT
It was pointed out (in the -devel list) that it possible to clone the
configuration using the RAID option; However, it seems (to me), that the obvious
place for this option is in the "new partition" create/edit dialog box.
Comment 2 Jeremy Katz 2006-06-19 20:37:47 EDT
There's not really space in the UI for doing this currently.  I have some
thoughts on how to handle some things like this better, but they'll have to wait
for a larger partitioning redesign.
Comment 3 Gilboa Davara 2009-11-25 23:05:53 EST
Any chance of looking into it in F13?

- Gilboa
Comment 5 Gilboa Davara 2010-06-05 03:17:32 EDT
... Or F14?
Comment 6 Gilboa Davara 2012-05-23 07:48:55 EDT
Given the fact that Anaconda UI is being worked on [1], maybe this can be added.

- Gilboa
[1] https://fedoraproject.org/wiki/Features/NewInstallerUI
Comment 7 David Shea 2014-03-13 17:10:57 EDT
newui means that you don't need to directly create partitions at all. Configure a mount point as RAID1 and the partitions will be created on the drives selected.

Note You need to log in before you can comment on or make changes to this bug.